EDIT - task #6612

Implement dao and service class for Registrations
05/02/2017 03:49 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.8

Severity: blocker

Description

open issue:

e status collection not yet evalutaten in service.page(submitter, includedStatus, ...)

Related issues:
Follows (7 days) EDIT - task #6258: Add Registration to cdm model Closed

Associated revisions

Revision 49532¢71 - 05/03/2017 12:02 PM - Andreas Kohlbecker

ref #6612 new dao method list entities filtered by a parameter value
Revision 614835 - 05/03/2017 12:41 PM - Andreas Kohlbecker
#6612 dao and service classes for the Registration class

¢ service implementation incomplete

Revision 16f5f3d4 - 05/05/2017 02:56 PM - Andreas Mdller

ref #6612 implemented list (ref ...) for RegistrationDaoHibernatelmpl

Revision 705f268c¢ - 05/05/2017 03:01 PM - Andreas Miiller

ref #6612 implemented list (ref ...) for RegistrationDaoHibernatelmpl

Revision 76d353fe - 05/05/2017 05:43 PM - Andreas Miiller
ref #6612 implement count for listByRef and add implement filtering by status in listByRef

Revision db3d35{7 - 05/08/2017 01:57 PM - Andreas Kohlbecker
#6612 generic dao list method providing a flexible multi property filter:

e PropertyNameMatchMode class introduces
¢ AbstractPagerimpl.limitStartforRange() to replace hasResultsinRange()

Revision 76d829dc - 05/09/2017 11:02 PM - Andreas Kohlbecker

ref #6612 PropertyNameMatchMode to Restriction class which contains the values to be tested

Revision 8384126 - 05/10/2017 03:26 PM - Andreas Kohlbecker

ref #6612 introducing EntityChangeEvent and generalizing Event class hierarchy

Revision 9d5ae601 - 05/10/2017 04:38 PM - Andreas Kohlbecker

ref #6612 updating Ul components on modified References

Revision 9a1b0c01 - 05/10/2017 09:02 PM - Andreas Kohlbecker

ref #6612 updating Ul components on modified References - bugfixes

Revision €941b008 - 05/10/2017 11:50 PM - Andreas Miiller

ref #6612 cleanup generics
Revision ¢d29f770 - 05/11/2017 02:16 PM - Andreas Kohlbecker

ref #6612 Custom Textfield with switch for all protectable cache fields

Revision bc5816ee - 05/12/2017 12:27 PM - Andreas Kohlbecker

ref #6612 Team and Person editor widgets implemented and integrated in reference editor

Revision 843f2ff8 - 05/12/2017 01:25 PM - Andreas Kohlbecker
ref #6612 support for editor widgets with nested FieldGroups

Revision fa76e2f9 - 05/12/2017 10:37 PM - Andreas Kohlbecker

ref #6612 fixing problem in save operation: evict bean before merge to avoid duplicate beans in same session

Revision 955e5a52 - 05/15/2017 03:45 PM - Andreas Kohlbecker

ref #6612 adding RegistrationService to remoting configuration

History

#1 - 05/02/2017 03:49 PM - Andreas Kohlbecker

- Tracker changed from bug to task

#2 - 05/02/2017 03:52 PM - Andreas Kohlbecker

- Due date set to 03/23/2017

- Start date changed from 05/02/2017 to 03/23/2017

- Follows task #6258: Add Registration to cdm model added

#3 - 05/05/2017 05:45 PM - Andreas Miiller
- Description updated

- Status changed from New to Resolved
#4 - 05/05/2017 05:47 PM - Andreas Miiller
AK: mit ist noch eine zusétzliche Anforderung an die Service Methoden eingefallen:

Beide Methoden in IRegistrationService sollten als Paramter eine Collection von RegistrationStatus akzeptieren anhand derer die Registrations
gefiltert werden.

In diesem Zusammenhang steht auch die Idee die DAO Methode

public List<T> list (Class<? extends T> type, String propertyName, Object value, MatchMode matchMode, Integer
limit, Integer start, List<OrderHint> orderHints, List<String> propertyPaths)

so zu erweitern dass sie fr beliebig viele property/value Paare verwendbar ist:

public List<T> list (Class<? extends T> type, Map<String, Collection<Object>> restrictions, MatchMode
matchMode, Integer limit, Integer start, List<OrderHint> orderHints, List<String> propertyPaths)

propertyValues wird in der Implementierung so verwendet, dass mehrere values pro propertyName OR verknipft werden wobei die Criteria pro
property AND verknupft sind.

Noch besser ware die Verwendung einer PropertyNameMatchMode Klasse :
class PropertyNameMatchMode {

String propertyName;

MatchMode matchMode;

}

public List<T> list (Class<? extends T> type, Map<PropertyNameMatchMode, Collection<Object>> restrictions,
Integer limit, Integer start, List<OrderHint> orderHints, List<String> propertyPaths)

#5 - 05/09/2017 10:40 AM - Andreas Kohlbecker
a.mueller:
Habe die Implementierung gerade lberflogen. 2 Fragen:

1) Sollten wir die alte Signatur nicht weiterhin zusétzlich anbieten. Der Fall, dass man nur einen Parameter hat ist ja der weitaus haufigste. Und dann
spart sich der User das "aufwendige" erzeugen der Zusatzinstanz. Intern wird dann nattrlich eine Map (oder entsprechendes erzeugt).
2) Ich verstehe die Konstruktion mit der Map nicht so ganz. Wenn PropertyNameMatchMode sowieso schon eine Datenstruktur ist und kein einfacher
Parameter, dann kann man die restrictions doch gleich da mit rein packen, dass macht es ein bisschen leichter zu handeln und zu verstehen.

#6 - 05/09/2017 10:49 AM - Andreas Kohlbecker

Andreas Kohlbecker wrote:
a.mueller:

2) Ich verstehe die Konstruktion mit der Map nicht so ganz. Wenn PropertyNameMatchMode sowieso schon eine Datenstruktur ist und kein
einfacher Parameter, dann kann man die restrictions doch gleich da mit rein packen, dass macht es ein bisschen leichter zu handeln und zu
verstehen.

Einverstanden ....

#7 - 05/09/2017 11:19 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

... Done! Please review.

#8 - 05/10/2017 11:50 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

From the code it looks ok. | cleaned up some generics.

#9 - 05/17/2017 01:45 PM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

As this is in the model change branch it goes into 4.8
